Extending Qt Creator Manual | DebugSymbolGroupNodeVisitor

Extending Qt Creator Manual 4.5.2

# DebugSymbolGroupNodeVisitor Class

The DebugSymbolGroupNodeVisitor class is a debug output visitor. More...

Header: | #include <DebugSymbolGroupNodeVisitor>
Inherits: | SymbolGroupNodeVisitor
Inherited By: | DebugFilterSymbolGroupNodeVisitor

- List of all members, including inherited members

## Public Functions

| DebugSymbolGroupNodeVisitor(std::ostream &os, unsigned verbosity = 0)

## Reimplemented Protected Functions

virtual VisitResult | visit(AbstractSymbolGroupNode *node, const std::string &fullIname, unsigned child, unsigned depth)

- 3 protected functions inherited from SymbolGroupNodeVisitor

### Additional Inherited Members

- 1 static public member inherited from SymbolGroupNodeVisitor
- 3 protected functions inherited from SymbolGroupNodeVisitor

## Detailed Description

The DebugSymbolGroupNodeVisitor class is a debug output visitor.

## Member Function Documentation

### DebugSymbolGroupNodeVisitor::DebugSymbolGroupNodeVisitor(std::ostream &os, unsigned verbosity = 0)

Default constructs an instance of DebugSymbolGroupNodeVisitor.

### `[virtual protected]` VisitResult DebugSymbolGroupNodeVisitor::visit(AbstractSymbolGroupNode *node, const std::string &fullIname, unsigned child, unsigned depth)